> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 공급자 모델 업데이트

> UI에서 모델을 활성화하거나 비활성화하고 백만 토큰당 가격을 선택적으로 설정합니다.



## OpenAPI

````yaml ko/openapi/model-distillation/management.openapi.yaml PUT /providers/{provider}/models/{providerModelId}
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    공급자, 프로젝트 (API 경로에서는 tasks라고 함), 라우팅 버전,
    데이터셋, 레이블 재지정, 미세 조정 모델, 평가, 분석을 관리하세요. 이 API는
    Model Distillation에서 사용하는 API와 동일합니다.
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 프로덕션
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI 호환 엔드포인트, 인증 정보, 모델 카탈로그 및 가격.
  - name: Tasks
    description: 안정적인 작업 ID와 작업 수준 정보입니다.
  - name: Routing
    description: 버전이 지정된 모델 대상, 가중치, 요청 매개변수.
  - name: Datasets
    description: 재현 가능한 데이터 스냅샷, 항목, 레이블 재지정, 재사용 가능한 모델 출력.
  - name: Fine-tunes
    description: 지도 파인튜닝 작업 및 호스팅된 모델 아티팩트.
  - name: Evaluations
    description: 직접 비교, 완전 일치, 범주화 평가.
  - name: Analytics
    description: 작업 트래픽, 토큰, 오류, 예상 비용 조회 모델.
  - name: UI preferences
    description: UI에서 사용하는 작업별 표시 기본 설정.
paths:
  /providers/{provider}/models/{providerModelId}:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/ProviderName'
      - $ref: '#/components/parameters/ProviderModelId'
    put:
      tags:
        - Providers
      summary: 공급자 모델 업데이트
      description: UI에서 모델을 활성화하거나 비활성화하고 백만 토큰당 가격을 선택적으로 설정합니다.
      operationId: updateProviderModel
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                enabled:
                  type: boolean
                input_usd_per_mtok:
                  anyOf:
                    - type: number
                      exclusiveMinimum: 0
                      maximum: 1000000
                    - type: 'null'
                output_usd_per_mtok:
                  anyOf:
                    - type: number
                      exclusiveMinimum: 0
                      maximum: 1000000
                    - type: 'null'
              additionalProperties: false
      responses:
        '200':
          description: 모델 항목을 업데이트했습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderModel'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: 액세스 가능한 개인 또는 팀 entity. 인증된 사용자의 기본 entity를 사용하려면 생략하세요.
      schema:
        type: string
    ProviderName:
      name: provider
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9][a-z0-9_-]{0,63}$
    ProviderModelId:
      name: providerModelId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    ProviderModel:
      type: object
      required:
        - id
        - model
        - predefined
        - enabled
      properties:
        id:
          type: string
          format: uuid
        model:
          type: string
        predefined:
          type: boolean
        enabled:
          type: boolean
        input_usd_per_mtok:
          type:
            - number
            - 'null'
        output_usd_per_mtok:
          type:
            - number
            - 'null'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
  responses:
    Error:
      description: 요청이 실패했습니다.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B API 키.

````

## Related topics

- [플레이그라운드에서 프롬프트 실험하기](/ko/products/wandb/weave/guides/tools/playground.md)
